#include <stdio.h>
#include <stdlib.h>

int main()
{
    int br=0;
    long long N, L, Hi;
    
    do{
        scanf("%lld", &N);
    }while(N>=1000 || N<=0);
    
    do{
        scanf("%lld", &L);
    }while(L>=1000000000 || L<=0);
    
    for(int i=1;i<=N;i++) {
        do{
            scanf("%lld", &Hi);
        }while(Hi>=1000000000 || Hi<=0);

        if(Hi <= L) {
            br = i;
            break;
        }
    }
    
    if(br == 0) printf("-1");
    else printf("%d",br);
}